MDL-28929 add version.php with requirements and copyrights
authorPetr Skoda <commits@skodak.org>
Wed, 24 Aug 2011 08:50:22 +0000 (10:50 +0200)
committerPetr Skoda <commits@skodak.org>
Wed, 24 Aug 2011 08:50:22 +0000 (10:50 +0200)
The data for missing copyrights was taken from other files in the same theme, git history or plugins database.

21 files changed:
theme/afterburner/version.php [new file with mode: 0644]
theme/anomaly/version.php [new file with mode: 0644]
theme/arialist/version.php [new file with mode: 0644]
theme/base/version.php [new file with mode: 0644]
theme/binarius/version.php [new file with mode: 0644]
theme/boxxie/version.php [new file with mode: 0644]
theme/brick/version.php [new file with mode: 0644]
theme/canvas/version.php [new file with mode: 0644]
theme/formal_white/version.php
theme/formfactor/version.php [new file with mode: 0644]
theme/fusion/version.php [new file with mode: 0644]
theme/leatherbound/version.php [new file with mode: 0644]
theme/magazine/version.php [new file with mode: 0644]
theme/nimble/version.php [new file with mode: 0644]
theme/nonzero/version.php [new file with mode: 0644]
theme/overlay/version.php [new file with mode: 0644]
theme/serenity/version.php [new file with mode: 0644]
theme/sky_high/version.php [new file with mode: 0644]
theme/splash/version.php [new file with mode: 0644]
theme/standard/version.php [new file with mode: 0644]
theme/standardold/version.php [new file with mode: 0644]

diff --git a/theme/afterburner/version.php b/theme/afterburner/version.php
new file mode 100644 (file)
index 0000000..8f0c59c
--- /dev/null
@@ -0,0 +1,30 @@
+<?php
+// This file is part of Moodle - http://moodle.org/
+//
+// Moodle is free software: you can redistribute it and/or modify
+// it under the terms of the GNU General Public License as published by
+// the Free Software Foundation, either version 3 of the License, or
+// (at your option) any later version.
+//
+// Moodle is distributed in the hope that it will be useful,
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
+// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+// GNU General Public License for more details.
+//
+// You should have received a copy of the GNU General Public License
+// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.
+
+/**
+ * Theme version info
+ *
+ * @package    theme
+ * @subpackage afterburner
+ * @copyright  2011 Mary Evans
+ * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
+ */
+
+defined('MOODLE_INTERNAL') || die;
+
+$plugin->version   = 2011082400; // The current module version (Date: YYYYMMDDXX)
+$plugin->requires  = 2011081700; // Requires this Moodle version
+$plugin->component = 'theme_afterburner'; // Full name of the plugin (used for diagnostics)
diff --git a/theme/anomaly/version.php b/theme/anomaly/version.php
new file mode 100644 (file)
index 0000000..b655752
--- /dev/null
@@ -0,0 +1,30 @@
+<?php
+// This file is part of Moodle - http://moodle.org/
+//
+// Moodle is free software: you can redistribute it and/or modify
+// it under the terms of the GNU General Public License as published by
+// the Free Software Foundation, either version 3 of the License, or
+// (at your option) any later version.
+//
+// Moodle is distributed in the hope that it will be useful,
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
+// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+// GNU General Public License for more details.
+//
+// You should have received a copy of the GNU General Public License
+// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.
+
+/**
+ * Theme version info
+ *
+ * @package    theme
+ * @subpackage anomaly
+ * @copyright  2010 Patrick Malley (http://newschoollearning.com/)
+ * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
+ */
+
+defined('MOODLE_INTERNAL') || die;
+
+$plugin->version   = 2011082400; // The current module version (Date: YYYYMMDDXX)
+$plugin->requires  = 2011081700; // Requires this Moodle version
+$plugin->component = 'theme_anomaly'; // Full name of the plugin (used for diagnostics)
diff --git a/theme/arialist/version.php b/theme/arialist/version.php
new file mode 100644 (file)
index 0000000..4cf67d8
--- /dev/null
@@ -0,0 +1,30 @@
+<?php
+// This file is part of Moodle - http://moodle.org/
+//
+// Moodle is free software: you can redistribute it and/or modify
+// it under the terms of the GNU General Public License as published by
+// the Free Software Foundation, either version 3 of the License, or
+// (at your option) any later version.
+//
+// Moodle is distributed in the hope that it will be useful,
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
+// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+// GNU General Public License for more details.
+//
+// You should have received a copy of the GNU General Public License
+// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.
+
+/**
+ * Theme version info
+ *
+ * @package    theme
+ * @subpackage arialist
+ * @copyright  2010 Patrick Malley (http://newschoollearning.com/)
+ * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
+ */
+
+defined('MOODLE_INTERNAL') || die;
+
+$plugin->version   = 2011082400; // The current module version (Date: YYYYMMDDXX)
+$plugin->requires  = 2011081700; // Requires this Moodle version
+$plugin->component = 'theme_arialist'; // Full name of the plugin (used for diagnostics)
diff --git a/theme/base/version.php b/theme/base/version.php
new file mode 100644 (file)
index 0000000..a7e6855
--- /dev/null
@@ -0,0 +1,30 @@
+<?php
+// This file is part of Moodle - http://moodle.org/
+//
+// Moodle is free software: you can redistribute it and/or modify
+// it under the terms of the GNU General Public License as published by
+// the Free Software Foundation, either version 3 of the License, or
+// (at your option) any later version.
+//
+// Moodle is distributed in the hope that it will be useful,
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
+// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+// GNU General Public License for more details.
+//
+// You should have received a copy of the GNU General Public License
+// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.
+
+/**
+ * Theme version info
+ *
+ * @package    theme
+ * @subpackage base
+ * @copyright  2011 Petr Skoda  {@link http://skodak.org}
+ * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
+ */
+
+defined('MOODLE_INTERNAL') || die;
+
+$plugin->version   = 2011082400; // The current module version (Date: YYYYMMDDXX)
+$plugin->requires  = 2011081700; // Requires this Moodle version
+$plugin->component = 'theme_base'; // Full name of the plugin (used for diagnostics)
diff --git a/theme/binarius/version.php b/theme/binarius/version.php
new file mode 100644 (file)
index 0000000..10b54de
--- /dev/null
@@ -0,0 +1,30 @@
+<?php
+// This file is part of Moodle - http://moodle.org/
+//
+// Moodle is free software: you can redistribute it and/or modify
+// it under the terms of the GNU General Public License as published by
+// the Free Software Foundation, either version 3 of the License, or
+// (at your option) any later version.
+//
+// Moodle is distributed in the hope that it will be useful,
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
+// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+// GNU General Public License for more details.
+//
+// You should have received a copy of the GNU General Public License
+// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.
+
+/**
+ * Theme version info
+ *
+ * @package    theme
+ * @subpackage binarius
+ * @copyright  2010 Patrick Malley (http://newschoollearning.com/)
+ * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
+ */
+
+defined('MOODLE_INTERNAL') || die;
+
+$plugin->version   = 2011082400; // The current module version (Date: YYYYMMDDXX)
+$plugin->requires  = 2011081700; // Requires this Moodle version
+$plugin->component = 'theme_binarius'; // Full name of the plugin (used for diagnostics)
diff --git a/theme/boxxie/version.php b/theme/boxxie/version.php
new file mode 100644 (file)
index 0000000..f1c1bb2
--- /dev/null
@@ -0,0 +1,30 @@
+<?php
+// This file is part of Moodle - http://moodle.org/
+//
+// Moodle is free software: you can redistribute it and/or modify
+// it under the terms of the GNU General Public License as published by
+// the Free Software Foundation, either version 3 of the License, or
+// (at your option) any later version.
+//
+// Moodle is distributed in the hope that it will be useful,
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
+// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+// GNU General Public License for more details.
+//
+// You should have received a copy of the GNU General Public License
+// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.
+
+/**
+ * Theme version info
+ *
+ * @package    theme
+ * @subpackage boxxie
+ * @copyright  2010 Patrick Malley
+ * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
+ */
+
+defined('MOODLE_INTERNAL') || die;
+
+$plugin->version   = 2011082400; // The current module version (Date: YYYYMMDDXX)
+$plugin->requires  = 2011081700; // Requires this Moodle version
+$plugin->component = 'theme_boxxie'; // Full name of the plugin (used for diagnostics)
diff --git a/theme/brick/version.php b/theme/brick/version.php
new file mode 100644 (file)
index 0000000..40cb4ab
--- /dev/null
@@ -0,0 +1,30 @@
+<?php
+// This file is part of Moodle - http://moodle.org/
+//
+// Moodle is free software: you can redistribute it and/or modify
+// it under the terms of the GNU General Public License as published by
+// the Free Software Foundation, either version 3 of the License, or
+// (at your option) any later version.
+//
+// Moodle is distributed in the hope that it will be useful,
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
+// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+// GNU General Public License for more details.
+//
+// You should have received a copy of the GNU General Public License
+// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.
+
+/**
+ * Theme version info
+ *
+ * @package    theme
+ * @subpackage brick
+ * @copyright  2010 John Stabinger (http://newschoollearning.com/)
+ * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
+ */
+
+defined('MOODLE_INTERNAL') || die;
+
+$plugin->version   = 2011082400; // The current module version (Date: YYYYMMDDXX)
+$plugin->requires  = 2011081700; // Requires this Moodle version
+$plugin->component = 'theme_brick'; // Full name of the plugin (used for diagnostics)
diff --git a/theme/canvas/version.php b/theme/canvas/version.php
new file mode 100644 (file)
index 0000000..47f7d45
--- /dev/null
@@ -0,0 +1,30 @@
+<?php
+// This file is part of Moodle - http://moodle.org/
+//
+// Moodle is free software: you can redistribute it and/or modify
+// it under the terms of the GNU General Public License as published by
+// the Free Software Foundation, either version 3 of the License, or
+// (at your option) any later version.
+//
+// Moodle is distributed in the hope that it will be useful,
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
+// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+// GNU General Public License for more details.
+//
+// You should have received a copy of the GNU General Public License
+// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.
+
+/**
+ * Theme version info
+ *
+ * @package    theme
+ * @subpackage canvas
+ * @copyright  2010 Patrick Malley
+ * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
+ */
+
+defined('MOODLE_INTERNAL') || die;
+
+$plugin->version   = 2011082400; // The current module version (Date: YYYYMMDDXX)
+$plugin->requires  = 2011081700; // Requires this Moodle version
+$plugin->component = 'theme_canvas'; // Full name of the plugin (used for diagnostics)
index d403b14..1eecf35 100644 (file)
@@ -1,5 +1,4 @@
 <?php
-
 // This file is part of Moodle - http://moodle.org/
 //
 // Moodle is free software: you can redistribute it and/or modify
@@ -26,7 +25,7 @@
 
 defined('MOODLE_INTERNAL') || die;
 
-$plugin->version  = 2011061301;  // The current module version (Date: YYYYMMDDXX)
+$plugin->version   = 2011082400; // The current module version (Date: YYYYMMDDXX)
+$plugin->requires  = 2011081700; // Requires this Moodle version
 $plugin->component = 'theme_formal_white';
-$plugin->requires = 2010080300;  // Requires this Moodle version
 $plugin->maturity  = MATURITY_STABLE;
\ No newline at end of file
diff --git a/theme/formfactor/version.php b/theme/formfactor/version.php
new file mode 100644 (file)
index 0000000..9004cd3
--- /dev/null
@@ -0,0 +1,30 @@
+<?php
+// This file is part of Moodle - http://moodle.org/
+//
+// Moodle is free software: you can redistribute it and/or modify
+// it under the terms of the GNU General Public License as published by
+// the Free Software Foundation, either version 3 of the License, or
+// (at your option) any later version.
+//
+// Moodle is distributed in the hope that it will be useful,
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
+// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+// GNU General Public License for more details.
+//
+// You should have received a copy of the GNU General Public License
+// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.
+
+/**
+ * Theme version info
+ *
+ * @package    theme
+ * @subpackage formfactor
+ * @copyright  2010 Patrick Malley
+ * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
+ */
+
+defined('MOODLE_INTERNAL') || die;
+
+$plugin->version   = 2011082400; // The current module version (Date: YYYYMMDDXX)
+$plugin->requires  = 2011081700; // Requires this Moodle version
+$plugin->component = 'theme_formfactor'; // Full name of the plugin (used for diagnostics)
diff --git a/theme/fusion/version.php b/theme/fusion/version.php
new file mode 100644 (file)
index 0000000..5eb05ff
--- /dev/null
@@ -0,0 +1,30 @@
+<?php
+// This file is part of Moodle - http://moodle.org/
+//
+// Moodle is free software: you can redistribute it and/or modify
+// it under the terms of the GNU General Public License as published by
+// the Free Software Foundation, either version 3 of the License, or
+// (at your option) any later version.
+//
+// Moodle is distributed in the hope that it will be useful,
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
+// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+// GNU General Public License for more details.
+//
+// You should have received a copy of the GNU General Public License
+// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.
+
+/**
+ * Theme version info
+ *
+ * @package    theme
+ * @subpackage fusion
+ * @copyright  2010 Patrick Malley (http://newschoollearning.com/)
+ * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
+ */
+
+defined('MOODLE_INTERNAL') || die;
+
+$plugin->version   = 2011082400; // The current module version (Date: YYYYMMDDXX)
+$plugin->requires  = 2011081700; // Requires this Moodle version
+$plugin->component = 'theme_fusion'; // Full name of the plugin (used for diagnostics)
diff --git a/theme/leatherbound/version.php b/theme/leatherbound/version.php
new file mode 100644 (file)
index 0000000..e88bc5a
--- /dev/null
@@ -0,0 +1,30 @@
+<?php
+// This file is part of Moodle - http://moodle.org/
+//
+// Moodle is free software: you can redistribute it and/or modify
+// it under the terms of the GNU General Public License as published by
+// the Free Software Foundation, either version 3 of the License, or
+// (at your option) any later version.
+//
+// Moodle is distributed in the hope that it will be useful,
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
+// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+// GNU General Public License for more details.
+//
+// You should have received a copy of the GNU General Public License
+// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.
+
+/**
+ * Theme version info
+ *
+ * @package    theme
+ * @subpackage leatherbound
+ * @copyright  2010 Patrick Malley
+ * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
+ */
+
+defined('MOODLE_INTERNAL') || die;
+
+$plugin->version   = 2011082400; // The current module version (Date: YYYYMMDDXX)
+$plugin->requires  = 2011081700; // Requires this Moodle version
+$plugin->component = 'theme_leatherbound'; // Full name of the plugin (used for diagnostics)
diff --git a/theme/magazine/version.php b/theme/magazine/version.php
new file mode 100644 (file)
index 0000000..4a453f6
--- /dev/null
@@ -0,0 +1,30 @@
+<?php
+// This file is part of Moodle - http://moodle.org/
+//
+// Moodle is free software: you can redistribute it and/or modify
+// it under the terms of the GNU General Public License as published by
+// the Free Software Foundation, either version 3 of the License, or
+// (at your option) any later version.
+//
+// Moodle is distributed in the hope that it will be useful,
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
+// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+// GNU General Public License for more details.
+//
+// You should have received a copy of the GNU General Public License
+// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.
+
+/**
+ * Theme version info
+ *
+ * @package    theme
+ * @subpackage magazine
+ * @copyright  2010 John Stabinger (http://newschoollearning.com/)
+ * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
+ */
+
+defined('MOODLE_INTERNAL') || die;
+
+$plugin->version   = 2011082400; // The current module version (Date: YYYYMMDDXX)
+$plugin->requires  = 2011081700; // Requires this Moodle version
+$plugin->component = 'theme_magazine'; // Full name of the plugin (used for diagnostics)
diff --git a/theme/nimble/version.php b/theme/nimble/version.php
new file mode 100644 (file)
index 0000000..fbb29a0
--- /dev/null
@@ -0,0 +1,30 @@
+<?php
+// This file is part of Moodle - http://moodle.org/
+//
+// Moodle is free software: you can redistribute it and/or modify
+// it under the terms of the GNU General Public License as published by
+// the Free Software Foundation, either version 3 of the License, or
+// (at your option) any later version.
+//
+// Moodle is distributed in the hope that it will be useful,
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
+// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+// GNU General Public License for more details.
+//
+// You should have received a copy of the GNU General Public License
+// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.
+
+/**
+ * Theme version info
+ *
+ * @package    theme
+ * @subpackage nimble
+ * @copyright  2010 Patrick Malley (http://newschoollearning.com/)
+ * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
+ */
+
+defined('MOODLE_INTERNAL') || die;
+
+$plugin->version   = 2011082400; // The current module version (Date: YYYYMMDDXX)
+$plugin->requires  = 2011081700; // Requires this Moodle version
+$plugin->component = 'theme_nimble'; // Full name of the plugin (used for diagnostics)
diff --git a/theme/nonzero/version.php b/theme/nonzero/version.php
new file mode 100644 (file)
index 0000000..d414272
--- /dev/null
@@ -0,0 +1,30 @@
+<?php
+// This file is part of Moodle - http://moodle.org/
+//
+// Moodle is free software: you can redistribute it and/or modify
+// it under the terms of the GNU General Public License as published by
+// the Free Software Foundation, either version 3 of the License, or
+// (at your option) any later version.
+//
+// Moodle is distributed in the hope that it will be useful,
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
+// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+// GNU General Public License for more details.
+//
+// You should have received a copy of the GNU General Public License
+// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.
+
+/**
+ * Theme version info
+ *
+ * @package    theme
+ * @subpackage nonzero
+ * @copyright  2010 Dietmar Wagner
+ * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
+ */
+
+defined('MOODLE_INTERNAL') || die;
+
+$plugin->version   = 2011082400; // The current module version (Date: YYYYMMDDXX)
+$plugin->requires  = 2011081700; // Requires this Moodle version
+$plugin->component = 'theme_nonzero'; // Full name of the plugin (used for diagnostics)
diff --git a/theme/overlay/version.php b/theme/overlay/version.php
new file mode 100644 (file)
index 0000000..54e8bef
--- /dev/null
@@ -0,0 +1,30 @@
+<?php
+// This file is part of Moodle - http://moodle.org/
+//
+// Moodle is free software: you can redistribute it and/or modify
+// it under the terms of the GNU General Public License as published by
+// the Free Software Foundation, either version 3 of the License, or
+// (at your option) any later version.
+//
+// Moodle is distributed in the hope that it will be useful,
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
+// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+// GNU General Public License for more details.
+//
+// You should have received a copy of the GNU General Public License
+// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.
+
+/**
+ * Theme version info
+ *
+ * @package    theme
+ * @subpackage overlay
+ * @copyright  2008 NodeThirtyThree (http://nodethirtythree.com/)
+ * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
+ */
+
+defined('MOODLE_INTERNAL') || die;
+
+$plugin->version   = 2011082400; // The current module version (Date: YYYYMMDDXX)
+$plugin->requires  = 2011081700; // Requires this Moodle version
+$plugin->component = 'theme_overlay'; // Full name of the plugin (used for diagnostics)
diff --git a/theme/serenity/version.php b/theme/serenity/version.php
new file mode 100644 (file)
index 0000000..c7c54c2
--- /dev/null
@@ -0,0 +1,30 @@
+<?php
+// This file is part of Moodle - http://moodle.org/
+//
+// Moodle is free software: you can redistribute it and/or modify
+// it under the terms of the GNU General Public License as published by
+// the Free Software Foundation, either version 3 of the License, or
+// (at your option) any later version.
+//
+// Moodle is distributed in the hope that it will be useful,
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
+// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+// GNU General Public License for more details.
+//
+// You should have received a copy of the GNU General Public License
+// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.
+
+/**
+ * Theme version info
+ *
+ * @package    theme
+ * @subpackage serenity
+ * @copyright  2010 Patrick Malley (http://newschoollearning.com/)
+ * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
+ */
+
+defined('MOODLE_INTERNAL') || die;
+
+$plugin->version   = 2011082400; // The current module version (Date: YYYYMMDDXX)
+$plugin->requires  = 2011081700; // Requires this Moodle version
+$plugin->component = 'theme_serenity'; // Full name of the plugin (used for diagnostics)
diff --git a/theme/sky_high/version.php b/theme/sky_high/version.php
new file mode 100644 (file)
index 0000000..515dee9
--- /dev/null
@@ -0,0 +1,30 @@
+<?php
+// This file is part of Moodle - http://moodle.org/
+//
+// Moodle is free software: you can redistribute it and/or modify
+// it under the terms of the GNU General Public License as published by
+// the Free Software Foundation, either version 3 of the License, or
+// (at your option) any later version.
+//
+// Moodle is distributed in the hope that it will be useful,
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
+// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+// GNU General Public License for more details.
+//
+// You should have received a copy of the GNU General Public License
+// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.
+
+/**
+ * Theme version info
+ *
+ * @package    theme
+ * @subpackage sky_high
+ * @copyright  2010 John Stabinger (http://newschoollearning.com/)
+ * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
+ */
+
+defined('MOODLE_INTERNAL') || die;
+
+$plugin->version   = 2011082400; // The current module version (Date: YYYYMMDDXX)
+$plugin->requires  = 2011081700; // Requires this Moodle version
+$plugin->component = 'theme_sky_high'; // Full name of the plugin (used for diagnostics)
diff --git a/theme/splash/version.php b/theme/splash/version.php
new file mode 100644 (file)
index 0000000..d7ea61d
--- /dev/null
@@ -0,0 +1,30 @@
+<?php
+// This file is part of Moodle - http://moodle.org/
+//
+// Moodle is free software: you can redistribute it and/or modify
+// it under the terms of the GNU General Public License as published by
+// the Free Software Foundation, either version 3 of the License, or
+// (at your option) any later version.
+//
+// Moodle is distributed in the hope that it will be useful,
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
+// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+// GNU General Public License for more details.
+//
+// You should have received a copy of the GNU General Public License
+// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.
+
+/**
+ * Theme version info
+ *
+ * @package    theme
+ * @subpackage splash
+ * @copyright  2010 Caroline Kennedy of Synergy Learning
+ * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
+ */
+
+defined('MOODLE_INTERNAL') || die;
+
+$plugin->version   = 2011082400; // The current module version (Date: YYYYMMDDXX)
+$plugin->requires  = 2011081700; // Requires this Moodle version
+$plugin->component = 'theme_splash'; // Full name of the plugin (used for diagnostics)
diff --git a/theme/standard/version.php b/theme/standard/version.php
new file mode 100644 (file)
index 0000000..8bd67ec
--- /dev/null
@@ -0,0 +1,30 @@
+<?php
+// This file is part of Moodle - http://moodle.org/
+//
+// Moodle is free software: you can redistribute it and/or modify
+// it under the terms of the GNU General Public License as published by
+// the Free Software Foundation, either version 3 of the License, or
+// (at your option) any later version.
+//
+// Moodle is distributed in the hope that it will be useful,
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
+// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+// GNU General Public License for more details.
+//
+// You should have received a copy of the GNU General Public License
+// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.
+
+/**
+ * Theme version info
+ *
+ * @package    theme
+ * @subpackage standard
+ * @copyright  2011 Petr Skoda  {@link http://skodak.org}
+ * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
+ */
+
+defined('MOODLE_INTERNAL') || die;
+
+$plugin->version   = 2011082400; // The current module version (Date: YYYYMMDDXX)
+$plugin->requires  = 2011081700; // Requires this Moodle version
+$plugin->component = 'theme_standard'; // Full name of the plugin (used for diagnostics)
diff --git a/theme/standardold/version.php b/theme/standardold/version.php
new file mode 100644 (file)
index 0000000..5da18d2
--- /dev/null
@@ -0,0 +1,30 @@
+<?php
+// This file is part of Moodle - http://moodle.org/
+//
+// Moodle is free software: you can redistribute it and/or modify
+// it under the terms of the GNU General Public License as published by
+// the Free Software Foundation, either version 3 of the License, or
+// (at your option) any later version.
+//
+// Moodle is distributed in the hope that it will be useful,
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
+// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+// GNU General Public License for more details.
+//
+// You should have received a copy of the GNU General Public License
+// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.
+
+/**
+ * Theme version info
+ *
+ * @package    theme
+ * @subpackage standardold
+ * @copyright  2011 Petr Skoda  {@link http://skodak.org}
+ * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
+ */
+
+defined('MOODLE_INTERNAL') || die;
+
+$plugin->version   = 2011082400; // The current module version (Date: YYYYMMDDXX)
+$plugin->requires  = 2011081700; // Requires this Moodle version
+$plugin->component = 'theme_standardold'; // Full name of the plugin (used for diagnostics)